Subject: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: João Távora <[email-masked]>
Date: Tue, 28 Feb 2023 14:53:43 +0000

On Tue, Feb 28, 2023 at 2:49 PM Michael Albinus <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
>
> Hi João,
>
> > For me, a change to a variable should take effect immediately,
> > no reboots or restarts.  If you're satisfied with less, suit yourself
> > (maybe you're on M$ windows?).
>
> For Tramp, you shall take into account that it uses caches heavily. A
> variable change, w/o propagating to the cache, has no effect.

Indeed, as the adage goes, cache invalidation is a hard problem of
computer science, we deal with it every day.  But it's a bit unfair to expect
the user to solve it.

João